package com.capgemini.framework.teamcenter.exceptions;

/**
 * Generic Exception to be able to catch all the KURT-Generated exceptions in a single catch.
 * 
 */
public class KurtException extends Exception {

    /** Serialization UID. **/
    private static final long serialVersionUID = -7235562571986874642L;

    /**
     * Simple Constructor. Takes an input error message as parameter.
     * 
     * @param aMessage Error message
     */
    public KurtException(final String aMessage) {
        super(aMessage);
    }

    /**
     * Constructor.
     * 
     * @param aMessage Error message
     * @param anException Original exception
     */
    public KurtException(final String aMessage, final Throwable anException) {
        super(aMessage, anException);
    }

    /**
     * Returns the message to be sent to the user.
     * 
     * @return the message
     */
    public String getErrorMessageForUser() {
        return "Une erreur interne s&rsquo;est produite.";
    }

}
